Bug 166745 - [UPDATE] graphics/mupdf to 1.0rc1
[UPDATE] graphics/mupdf to 1.0rc1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: scheidell
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-08 02:00 UTC by lichray
Modified: 2012-06-04 01:10 UTC (History)
0 users

See Also:


Attachments
mupdf-1.0.r1,1.patch (6.12 KB, patch)
2012-04-08 02:00 UTC, lichray
no flags Details | Diff
mupdf-1.0.r1,1-1.patch (6.40 KB, patch)
2012-04-08 07:33 UTC, lichray
no flags Details | Diff
mupdf-1.0,1.patch (6.42 KB, patch)
2012-04-29 10:12 UTC, lichray
no flags Details | Diff
mupdf-1.0,1-1.patch (6.96 KB, patch)
2012-06-03 18:51 UTC, lichray
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lichray 2012-04-08 02:00:29 UTC
	
	http://www.mupdf.com/news

	The upstream finally rename all of the binaries with a 'mu' prefix, so the old renaming hacks are dropped.

	This PR depends on ports/166744; openjpeg-1.5 must presents.
Comment 1 lichray 2012-04-08 07:33:21 UTC
Fix build with clang (its assembler does not support the .incbin instruction).

-- 
Zhihao Yuan, nickname lichray
The best way to predict the future is to invent it.
___________________________________________________
4BSD -- http://4bsd.biz/
Comment 2 lichray 2012-04-29 10:12:18 UTC
Updates to 1.0 release.

-- 
Zhihao Yuan, nickname lichray
The best way to predict the future is to invent it.
___________________________________________________
4BSD -- http://4bsd.biz/
Comment 3 scheidell freebsd_committer 2012-05-09 14:42:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 4 scheidell freebsd_committer 2012-05-09 23:25:23 UTC
State Changed
From-To: open->suspended

Waiting for ports/166744
Comment 5 lichray 2012-06-03 18:51:42 UTC
OK, ports/166744 is committed; time to unbreak this.

An updated patch is attached. Use the new option style at the same time.

-- 
Zhihao Yuan, nickname lichray
The best way to predict the future is to invent it.
___________________________________________________
4BSD -- http://4bsd.biz/
Comment 6 scheidell freebsd_committer 2012-06-03 22:38:05 UTC
State Changed
From-To: suspended->open

Dependent pr closed.
Comment 7 dfilter freebsd_committer 2012-06-04 01:02:58 UTC
scheidell    2012-06-04 00:02:49 UTC

  FreeBSD ports repository

  Modified files:
    graphics/mupdf       Makefile distinfo pkg-plist 
    graphics/mupdf/files patch-apps_x11_main.c 
                         scroll_hack-apps_pdfapp.c 
  Log:
  - Update to 1.0
  
  PR:             ports/166745
  Submitted by:   Zhihao Yuan <lichray@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.20      +16 -18    ports/graphics/mupdf/Makefile
  1.11      +2 -2      ports/graphics/mupdf/distinfo
  1.3       +4 -24     ports/graphics/mupdf/files/patch-apps_x11_main.c
  1.2       +14 -13    ports/graphics/mupdf/files/scroll_hack-apps_pdfapp.c
  1.5       +7 -8      ports/graphics/mupdf/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 scheidell freebsd_committer 2012-06-04 01:03:11 UTC
State Changed
From-To: open->closed

Committed. Thanks!